<script>
import { reactive, ref, onBeforeMount } from "vue";
import { useRoute } from "vue-router";
import axios from "axios";
import useNotyf from "@/store/composable/useNotyf";
import KTHeader from "@/layout/header/HeaderV2.vue";

export default {
  props: {
    data: [],
  },
  components: {
    KTHeader,
  },
  setup(props) {
    const route = useRoute();
    const id = route.query.id;

    let api = reactive(process.env.VUE_APP_API_URL);
    const notif = useNotyf();

    const detail = ref({});

    const getRoadmapById = async () => {
      try {
        const result = await axios.get(`${api}/roadmap/${id}`);

        detail.value = result;
      } catch (error) {
        notif.error(error);
      }
    };

    onBeforeMount(() => getRoadmapById());

    return { props, detail, id };
  },
};
</script>

<template>
  <body
    id="kt_body"
    data-bs-spy="scroll"
    data-bs-target="#kt_landing_menu"
    data-bs-offset="200"
    class="bg-light position-relative"
    style="margin-bottom: 200px"
  >
    <div class="d-flex flex-column flex-root">
      <div class="mb-0" id="home">
        <div
          class="
            bgi-no-repeat
            bgi-size-contain
            bgi-position-x-center
            bgi-position-y-bottom
            landing-dark-bg
          "
          style="
            background-image: url(assets/media/svg/illustrations/landing.svg);
          "
        >
          <div
            class="landing-header"
            data-kt-sticky="true"
            data-kt-sticky-name="landing-header"
            data-kt-sticky-offset="{default: '200px', lg: '300px'}"
          >
            <div class="container-fluid">
              <KTHeader item="detail" />
            </div>
          </div>
          <!--begin::Landing hero-->
          <div class="d-flex flex-column flex-center w-100 min-h-lg-100px px-9">
            <div class="text-center mb-5 mb-lg-10 py-10 py-lg-20">
              <h1
                class="
                  text-white
                  fw-bolder
                  fs-2x fs-lg-3x
                  mb-15
                  d-flex
                  flex-column flex-center
                "
              >
                SMK - {{ detail.data.title }}
                <div class="separator m-1 mt-5 w-150px border-3"></div>
              </h1>
              <span class="text-white fw-bolder fs-4 fs-lg-1x mb-15"
                >Roadmap ini sepenuhnya milik SMK DIGITAL SERVICE. <br />
                Dilarang menggunakan roadmap ini secara komersial tanpa seizin
                SMK DIGITAL SERVICE</span
              >
            </div>
          </div>
          <div
            class="card-header card-header-stretch bg-transparent"
            style="border-bottom: none"
          >
            <div class="card-toolbar">
              <ul
                class="
                  nav nav-tabs nav-line-tabs nav-stretch
                  fs-5
                  border-0
                  justify-content-center
                "
              >
                <li class="nav-item">
                  <a
                    class="nav-link active text-white"
                    data-bs-toggle="tab"
                    href="#kt_tab_pane_7"
                    >Deskripsi Jurusan</a
                  >
                </li>
                <li class="nav-item">
                  <a
                    class="nav-link text-white"
                    data-bs-toggle="tab"
                    href="#kt_tab_pane_8"
                    >Roadmap</a
                  >
                </li>
                <li class="nav-item">
                  <a
                    class="nav-link text-white"
                    data-bs-toggle="tab"
                    href="#kt_tab_pane_9"
                    >Keterangan</a
                  >
                </li>
              </ul>
            </div>
          </div>
        </div>
        <!--end::Wrapper-->

        <!--begin::Curve bottom-->
        <div class="landing-curve landing-dark-color mb-10 mb-lg-20">
          <svg
            viewBox="15 12 1470 48"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M0 11C3.93573 11.3356 7.85984 11.6689 11.7725 12H1488.16C1492.1 11.6689 1496.04 11.3356 1500 11V12H1488.16C913.668 60.3476 586.282 60.6117 11.7725 12H0V11Z"
              fill="currentColor"
            ></path>
          </svg>
        </div>
      </div>
    </div>
    <div class="container">
      <div class="card">
        <div class="card-body">
          <div class="tab-content" id="myTabContent">
            <div
              class="tab-pane fade show active"
              id="kt_tab_pane_7"
              role="tabpanel"
            >
              <p style="white-space: pre-wrap; line-height: 2rem">
                {{ detail.data.description }}
              </p>
            </div>

            <div class="tab-pane fade" id="kt_tab_pane_8" role="tabpanel">
              <img
                :src="detail.data.roadmap.Location"
                class="img-fluid"
                alt=""
              />
            </div>

            <div class="tab-pane fade" id="kt_tab_pane_9" role="tabpanel">
              {{ detail.data.note }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</template>

<style>
</style>